* {
  font-family: "Roboto Mono", monospace;
}

header {
  padding-top: 35px;
  text-align: center;
  margin-bottom: 70px;
  height: 94px;
}

#githubicon {
  position: absolute;
  top: 40px;
  right: 10vw;
  width: 60px;
  height: 60px;
  z-index: 0;
  background-color: transparent;
  border-radius: 30px;
}

#githubicon:hover {
  background-color: Linen;
}

#homeIcon {
  position: absolute;
  top: 40px;
  left: 5vw;
  width: 70px;
  height: 70px;
  z-index: 0;
  background-color: transparent;
}

.upBounce {
  transform: translateY(-5px);
  transition: 1s;
}

.downBounce {
  transform: translateY(0px);
  transition: 1s;
}

.curserPointer:hover {
  cursor: pointer;
}

@keyframes gbounce {
  0% {
    transform: translateY(-25px);
  }

  50% {
    transform: translateY(-60px);
  }

  100% {
    transform: translateY(-25px);
  }
}

.gbounce {
  animation: gbounce 4.5s;
  animation-iteration-count: infinite;
}

#downArrow {
  margin-left: 75px;
  top: 190px;
  width: 85px;
  height: 90px;
  position: absolute;
}

html {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #b0c4de;
  background-image:
    linear-gradient(rgba(0, 0, 0, 0.05) 1px, transparent 1px),
    linear-gradient(90deg, rgba(0, 0, 0, 0.05) 1px, transparent 1px);
  background-size: 32px 32px;
}

#main {
  margin: 0 auto;
  font-family: "Roboto Mono", monospace;
  margin-top: 15px;
  margin-bottom: 0;
  width: 100%;
}

p {
  margin: 0;
}

h1 {
  margin: 0;
  font-size: 3em;
  font-weight: bolder;
}

p,
input {
  font-size: 1.5em;
  line-height: 1.4em;
  color: #333;
}

#thinking {
  display: none;
  flex-direction: row;
  font-size: xx-large;
  background-color: Linen;
  height: 210px !important;
  width: 225px !important;
  border: 3px solid black !important;
  border-radius: 20px;
  z-index: 2;
  position: fixed;
  top: 30%;
  left: 30%;
}

#message {
  width: 210px !important;
  text-align: center;
  line-height: 150px;
  vertical-align: middle;
  padding: 5px;
}

#boards {
  display: flex;
  width: auto;
}

@media screen and (max-width: 1500px) {
  #boards {
    flex-direction: column;
  }

  html {
    justify-content: normal !important;
  }
}

.boardContainer {
  display: flex;
  flex-direction: row;
  align-items: center;
}

#gameboard,
#gameboard_cpu {
  border: 3px solid black;
  padding: 5px;
  border-radius: 10px;
  position: relative;
  margin: 25px;
  width: 500px !important;
  height: 500px !important;
  background-color: Linen;
}

#gameboard div,
#gameboard_cpu div {
  position: absolute;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  background: #f6f8f9;
  border: 1px solid #ddd;
  width: 50px;
  height: 50px;
}

#gameboard div {
  cursor: url(../images/cross-hair-cursor.png) 16 16, auto;
}

#leftList,
#rightList {
  margin-top: -175px;
  padding: 5px;
  border: 3px solid black;
  border-radius: 10px;
  background-color: Linen;
  width: max-content;
}

#ships {
  padding: 5px;
  border: 3px solid black;
  border-radius: 10px;
  width: 190px;
  background-color: Linen;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-left: 5px;
  margin-right: 5px;
}

#ships div {
  padding: 2px;
  border-style: solid;
  margin: 6px;
  cursor: pointer;
  width: 150px;
  border-radius: 10px;
}

#ships div:hover {
  background-color: gray;
}

#rotate {
  font-size: large;
  font-weight: bold;
  border: 2px;
  text-align: center;
}

#rotateArrow {
  width: 35px;
  height: 35px;
}

.rotateAnimation {
  transform: rotate(90deg);
  transition: transform 900ms;
}

.rotateBackAnimation {
  transform: rotate(0deg);
  transition: transform 500ms;
}

#wintext,
#losstext {
  font-weight: bold;
  display: none;
}

.shiplist {
  width: max-content;
}

h4 {
  margin-top: 0;
}

.clicked {
  background-color: gray;
}

.sunkText {
  color: darkred;
  text-decoration: line-through;
}

.hitText {
  color: red;
}

#updateText {
  font-size: medium;
  margin-top: 10px;
}

.notDisplayed {
  display: none !important;
}

.hidden {
  visibility: hidden;
}

.inline {
  display: inline;
}

a {
  font-size: 1.2em;
}

a:hover {
  color: cadetblue;
}

.animation {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
  border: none !important;
  left: 60px;
}

.animation div {
  position: absolute;
  top: 125px;
  width: 13px !important;
  height: 13px !important;
  border-radius: 50%;
  background: black !important;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.animation div:nth-child(1) {
  left: 10px;
  animation: animation1 0.6s infinite;
}

.animation div:nth-child(2) {
  left: 10px;
  animation: animation2 0.6s infinite;
}

.animation div:nth-child(3) {
  left: 32px;
  animation: animation2 0.6s infinite;
}

.animation div:nth-child(4) {
  left: 56px;
  animation: animation3 0.6s infinite;
}

@keyframes animation1 {
  0% {
    transform: scale(0);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes animation3 {
  0% {
    transform: scale(1);
  }

  100% {
    transform: scale(0);
  }
}

@keyframes animation2 {
  0% {
    transform: translate(0, 0);
  }

  100% {
    transform: translate(24px, 0);
  }
}

footer {
  text-align: center;
}

#strtOvrBtn,
#resetWinLoss,
#startGame {
  display: inline-block;
  width: fit-content;
  font-size: 1.7em;
  padding: 5px;
  border: solid black;
  border-radius: 10px;
  font-family: "Roboto Mono", monospace;
  margin-bottom: 10px;
}

#strtOvrBtn:hover,
#resetWinLoss:hover,
#startGame:hover {
  background-color: gray;
  cursor: pointer;
}

.blackBackground {
  background-color: black !important;
}

.greyBackground {
  background-color: #4c4c4c !important;
}

.redBackground {
  background-color: red !important;
}

.darkRedBackground {
  background-color: darkred !important;
}

.missBackground {
  background-color: rgba(128, 170, 255, 0.5) !important;
  text-align: center;
  line-height: 45px;
}

.missBackground:after {
  display: inline-block;
  content: "\00d7";
  /* border: 1px solid transparent !important; */
  font-size: 46px;
  color: rgb(128, 170, 255);
}

.shadowBox {
  box-shadow: 2px 4px 8px 2px rgba(0, 0, 0, 0.2),
    0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

@keyframes flash {
  0% {
    background-color: transparent;
  }

  50% {
    background-color: #faf0e6;
  }

  100% {
    background-color: transparent;
  }
}

.flash {
  animation-name: flash;
  animation-duration: 2.5s;
  animation-iteration-count: infinite;
}